[SeaMonkey] TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/navigation/browser_bug343515.js | Tab N should be inactive

VERIFIED FIXED in seamonkey2.10

Status

SeaMonkey
Tabbed Browser
P2
major
VERIFIED FIXED
6 years ago
6 years ago

People

(Reporter: sgautherie, Assigned: neil@parkwaycc.co.uk)

Tracking

(Blocks: 1 bug)

Trunk
seamonkey2.10
Dependency tree / graph
Bug Flags:
in-testsuite -

SeaMonkey Tracking Flags

(seamonkey2.7 wontfix, seamonkey2.8 fixed, seamonkey2.9 fixed, seamonkey2.10 verified)

Details

(Whiteboard: [perma-orange])

Attachments

(1 attachment)

(Reporter)

Description

6 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1329382375.1329388034.29824.gz
OS X 10.6 comm-central-trunk debug test mochitest-other on 2012/02/16 00:52:55
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1329360749.1329365432.19045.gz
WINNT 5.2 comm-central-trunk debug test mochitest-other on 2012/02/15 18:52:29
{
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/navigation/browser_bug343515.js | Tab 0 should be inactive
[and more]
}

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1329281175.1329285614.3539.gz
WINNT 5.2 comm-aurora debug test mochitest-other on 2012/02/14 20:46:15
is affected too.

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Beta/1329289731.1329293499.17853.gz
WINNT 5.2 comm-beta debug test mochitest-other on 2012/02/14 23:08:51
{
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/navigation/browser_bug343515.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/navigation/browser_bug343515.js | Found a tab after previous test timed out: http://mochi.test:8888/browser/docshell/test/navigation/bug343515_pg1.html
}
Most likely affected too, but can't tell in that state.
(Reporter)

Updated

6 years ago
Depends on: 684805
(Reporter)

Comment 1

6 years ago
Then I notice bug 684805: I would better let Neil have a look at the current situation.
Assignee: sgautherie.bz → nobody
Status: ASSIGNED → NEW
(Assignee)

Updated

6 years ago
Summary: Port |Bug 343515 - need API for tabbrowsers to tell docshells they're visible/hidden| to SeaMonkey → TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/navigation/browser_bug343515.js | Tab N should be inactive
(Assignee)

Comment 2

6 years ago
Created attachment 598171 [details] [diff] [review]
Proposed patch

I forgot to make background tabs inactive. Oops. This fixes that test too.
Assignee: nobody → neil
Status: NEW → ASSIGNED
Attachment #598171 - Flags: review?(iann_bugzilla)

Comment 3

6 years ago
Comment on attachment 598171 [details] [diff] [review]
Proposed patch

r=me, a=me for c-a/c-b too as other patch landed on 2.8
Attachment #598171 - Flags: review?(iann_bugzilla)
Attachment #598171 - Flags: review+
Attachment #598171 - Flags: approval-comm-beta+
Attachment #598171 - Flags: approval-comm-aurora+
(Reporter)

Updated

6 years ago
No longer depends on: 343515
Summary: TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/navigation/browser_bug343515.js | Tab N should be inactive → [SeaMonkey] TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/docshell/test/navigation/browser_bug343515.js | Tab N should be inactive
(Assignee)

Comment 4

6 years ago
Pushed changeset 8d7f0654db70 to comm-central.
Status: ASSIGNED → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → FIXED
Whiteboard: [perma-orange] → [perma-orange][needs transplant comm-aurora, comm-beta]
http://hg.mozilla.org/releases/comm-aurora/rev/79ae59ea472f
http://hg.mozilla.org/releases/comm-beta/rev/7cd8e7033083
status-seamonkey2.10: --- → fixed
status-seamonkey2.8: affected → fixed
status-seamonkey2.9: affected → fixed
tracking-seamonkey2.8: ? → ---
Whiteboard: [perma-orange][needs transplant comm-aurora, comm-beta] → [perma-orange]
(Reporter)

Comment 6

6 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1329533748.1329538419.29635.gz
WINNT 5.2 comm-central-trunk debug test mochitest-other on 2012/02/17 18:55:48

V.Fixed
Status: RESOLVED → VERIFIED
status-seamonkey2.10: fixed → verified
Flags: in-testsuite-
You need to log in before you can comment on or make changes to this bug.